import { LoggerTag } from "./logger";
export interface DescriptorOptions {
    identifier?: string;
    targetName?: string;
    eventName?: string;
    methodName?: string;
    preventsDefault?: boolean;
}
export declare class Descriptor {
    private static defaultEventNames;
    identifier: string;
    targetName: string | null;
    eventName: string;
    methodName: string;
    preventsDefault: boolean;
    static forOptions(options: DescriptorOptions): Descriptor;
    static forElementWithInlineDescriptorString(element: Element, descriptorString: string): Descriptor;
    private static parseOptionsFromInlineActionDescriptorString(descriptorString);
    private static getDefaultEventNameForElement(element);
    constructor(identifier: string, targetName: string | null, eventName: string, methodName: string, preventsDefault: boolean);
    isEqualTo(descriptor: Descriptor | null): boolean;
    toString(): string;
    readonly loggerTag: LoggerTag;
}
