import { Action } from "./action";
import { Context } from "./context";
import { AttributeObserverDelegate } from "sentinella";
export interface InlineActionObserverDelegate {
    inlineActionConnected(action: Action): any;
    inlineActionDisconnected(action: Action): any;
}
export declare class InlineActionObserver implements AttributeObserverDelegate {
    context: Context;
    delegate: InlineActionObserverDelegate;
    private attributeObserver;
    private connectedActions;
    constructor(context: Context, delegate: InlineActionObserverDelegate);
    readonly attributeName: string;
    readonly element: Element;
    readonly identifier: string;
    start(): void;
    stop(): void;
    elementMatchedAttribute(element: Element, attributeName: string): void;
    elementAttributeValueChanged(element: Element, attributeName: string): void;
    elementUnmatchedAttribute(element: Element, attributeName: string): void;
    private refreshActionForElement(element);
    private connectActionForElement(action, element);
    private disconnectActionForElement(element);
    private getActionForElement(element);
    private buildActionForElementWithDescriptorString(element, descriptorString);
}
